lrespr 'dev4_scr_wpx_WPIX_BIN'
:
rem Load a suitable PIC file. Must be same mode as DISP_TYPE
fnm$ = 'win3_pic_Iben32_pic': rem Mode xx PIC
:
rem Change byte order. Only required for Mode 32 and BLOCK
rem if disp_type = 32: lrespr 'dev4_col_PCBO_BIN'
:
rem LDATA - Load data - from my Pick 'n' mix toolkit
lrespr 'dev4_dat_ld_LDATA_BIN'
:
fl = 0: rem File length
pic = LDATA(fnm$, fl)
md% = disp_type
:
if peek_w(pic) <> $4afc:        ert -15
if peek(pic + 8) <> md%:        ert -19
x% = peek_w(pic + 2) && - 2:    rem Make even
y% = peek_w(pic + 4)
l% = peek_w(pic + 6):           rem Line length
:
colour_ql
bd% = 1:                        rem Border width
ch = fopen("con")
window#ch; x% + 4 * bd%, y% + 2 * bd%, 400, 40
border#ch; bd%, 4
paper#ch; 7: ink#ch; 0: cls#ch
:
colour_native:                  rem Only required for BLOCK
dat = pic + 10:                 rem PIC data starts here
:
t = date
for n = 0 to fl
 xx% = rnd(0 to x% - 1)
 yy% = rnd(0 to y% - 1)
 c% = peek_w(dat + yy% * l% + xx% + xx%)
 rem if md% = 32: PCBO% c%:     rem Un-REM if BLOCK
 rem block#ch; 1, 1, xx%, yy%, c%
 WPIX#ch; xx%, yy%, c%
endfor n
:
for yy% = 0 to y% - 1
 for xx% = 0 to x% + x% - 2 step 2
  c% = peek_w(dat + yy% * l% + xx%)
  rem if md% = 32: PCBO% c%:     rem Un-REM if BLOCK
  rem block#ch; 1, 1, xx% div 2, yy%, c%
  WPIX#ch; xx% div 2, yy%, c%
 endfor xx%
endfor yy%
:
at#ch; 0, 0: print#ch; 'Time'! date - t,
beep 2000, 2: pause#ch
quit
:


















:
